﻿using System.Collections.Generic;
using System.Windows.Forms;

namespace ArticleClassifier
{
    public partial class VisualColumn : UserControl
    {
        private string _name;
        private List<ColumnItem> _itemList;

        private frmText _textForm;

        public VisualColumn(string name, List<ColumnItem> itemList)
        {
            InitializeComponent();

            _name = name;
            _itemList = itemList;

            txtName.Text = _name;
            foreach(ColumnItem item in _itemList)
            {
                lstItems.Items.Add(item.Name);
            }

        }

        private void lstItems_DoubleClick(object sender, System.EventArgs e)
        {
            _textForm = new frmText(_itemList[lstItems.SelectedIndex].Text);
            _textForm.Show();
        }
    }
}
